angular.module('starter.controllers', [])

.controller('AppCtrl', function($scope, $ionicModal, $timeout,Mensajes,$rootScope) {
  // Form data for the login modal
  $scope.loginData = {};

  // Create the login modal that we will use later
  $ionicModal.fromTemplateUrl('templates/login.html', {
    scope: $scope
  }).then(function(modal) {
    $scope.modal = modal;
  });

  // Triggered in the login modal to close it
  $scope.closeLogin = function() {
    $scope.modal.hide();
  };

  // Open the login modal
  $scope.login = function() {
    $scope.modal.show();
  };

  // Perform the login action when the user submits the login form
  $scope.doLogin = function() {
    console.log('Doing login', $scope.loginData);

    // Simulate a login delay. Remove this and replace with your login
    // code if using a login system
    $timeout(function() {
      $scope.closeLogin();
    }, 1000);
  };


   $scope.refreshMensajes = function() {
    $rootScope.MensajesTotal = Mensajes.all($scope);
  };

   


})

.controller('parqueaderoCtrl', function($scope,Parqueadero,$ionicPopup,Registrar,Mensajes,$ionicModal,LeerMensaje,$rootScope,RegistrarCliente) {


$scope.mensajesParqueadero = {};
  $rootScope.MensajesTotal = $scope.mensajesParqueadero = Mensajes.all($scope,2);
  $scope.parqueadero = Parqueadero.all($scope);
 
// Create the login modal that we will use later
  $ionicModal.fromTemplateUrl('templates/mensajesparqueaderos.html', {
    scope: $scope
  }).then(function(modal) {
    $scope.modal = modal;
  });


$scope.popupMensajeRegistrarCliente= function() {

//$scope.myPopup.close();

    $scope.myPopupMensajeCliente = $ionicPopup.show({
    template: '<label>Cedula</label> <input type="number"  ng-model="Usuario.cedula">  <button class="button button-full button-light  icon-left ion-edit" ng-click="registrarClienteParqueadero(Usuario)">Registrar</button> ',
    title: 'Registrar Cliente',
    scope: $scope,
    buttons: [
      { text: 'Cancelar' },
    ]
  });
  $scope.myPopupMensajeCliente.then(function(res) {
    
  });
  };



$scope.mostrarMensajeParqueadero= function() {

  $scope.mensajesParqueadero = Mensajes.all($scope,2);

   $scope.modal.show();

  };
// A confirm dialog
 $scope.refresh = function() {
  $rootScope.MensajesTotal = $scope.mensajesParqueadero = Mensajes.all($scope,2);

 };
  // Triggered in the login modal to close it
  $scope.closeMensajes= function() {
    $scope.modal.hide();
  };

  $scope.showConfirmMensaje = function(mensaje) {

   //$scope.myPopupMensaje.close();

   LeerMensaje.Leer(mensaje.mensaje_id);
   $scope.mensajesParqueadero = Mensajes.all($scope,2);

   $scope.confirmPopupMensaje = $ionicPopup.confirm({
     title: 'El conductor: ' + mensaje.cedula_cliente,
     template: mensaje.descripcion_mensaje
   });
   $scope.confirmPopupMensaje.then(function(res) {
     if(res) {
   $scope.refresh();
     } else {
       console.log('You are not sure');
     }
   });
 };

$scope.popupMensaje= function() {

//$scope.myPopup.close();

    $scope.myPopupMensaje = $ionicPopup.show({
    template: '<label>Cedula</label> <input type="number"  ng-model="Usuario.cedula"> <label>Mensaje</label><input type="text"  ng-model="Usuario.mensaje"> <button class="button button-full button-light  icon-left ion-email" ng-click="enviarMensaje(Usuario)">Enviar</button> ',
    title: 'Enviar Mensaje',
    scope: $scope,
    buttons: [
      { text: 'Cancelar' },
    ]
  });
  $scope.myPopupMensaje.then(function(res) {
    
  });
  };

$scope.enviarMensaje = function(usuario) {

  Registrar.Enviar(usuario.cedula,usuario.mensaje,1);

  $scope.myPopupMensaje.close();
  $scope.myPopup.close();

  //$scope.showConfirmMensaje();


  };

  $scope.registrarClienteParqueadero = function(usuario) {
  
  RegistrarCliente.Enviar(usuario.cedula,$rootScope.deviceID);

  $scope.myPopupMensajeCliente.close();
  $scope.myPopup.close();

  $scope.showConfirm();

  };


  $scope.popupMenu = function(parqueadero) {
    $scope.myPopup = $ionicPopup.show({
    template: '<button class="button button-full button-light  icon-left ion-edit" ng-click="popupMensajeRegistrarCliente()">Registar</button> <button class="button button-full button-light  icon-left ion-email" ng-click="popupMensaje()">Enviar Mensaje</button>',
    title: parqueadero.nombre,
    scope: $scope,
    buttons: [
      { text: 'Cancelar' },
    ]
  });
  $scope.myPopup.then(function(res) {
    
  });
  };

  // A confirm dialog
 $scope.showConfirm = function() {

   //$scope.myPopup.close();

   $scope.confirmPopup = $ionicPopup.confirm({
     title: 'Registro',
     template: 'Usuario Registado Correctamente'
   });
   $scope.confirmPopup.then(function(res) {
     if(res) {
       console.log('You are sure');
     } else {
       console.log('You are not sure');
     }
   });
 };


  
  
})

.controller('MensajesCtrl', function($scope,$ionicPopup,Mensajes,LeerMensaje,$rootScope,Registrar) {

  $rootScope.MensajesTotal = $scope.mensajes = Mensajes.all($scope,1);

   // A confirm dialog
 $scope.refresh = function() {
  $rootScope.MensajesTotal = $scope.mensajes = Mensajes.all($scope,1);

 };

  // A confirm dialog
 $scope.showConfirmMensaje = function(mensaje) {

   //$scope.myPopupMensaje.close();

   LeerMensaje.Leer(mensaje.mensaje_id);

   $scope.confirmPopupMensaje = $ionicPopup.confirm({
     title: 'Cliente: ' + mensaje.cedula_cliente,
     template: mensaje.descripcion_mensaje
   });
   $scope.confirmPopupMensaje.then(function(res) {
     if(res) {


 $scope.confirmPopupMensaje.close();

$scope.popupMensaje();
       
       $scope.refresh();
     } else {
       console.log('You are not sure');
     }
   });
 };

$scope.enviarMensaje = function(usuario) {

  Registrar.Enviar(usuario.cedula,usuario.mensaje,2);

  $scope.myPopupMensaje.close();

  //$scope.showConfirmMensaje();


  };

 $scope.popupMensaje= function() {

//$scope.myPopup.close();

    $scope.myPopupMensaje = $ionicPopup.show({
    template: '<label>Placa</label> <input type="text"  ng-model="Usuario.cedula"> <label>Mensaje</label><input type="text"  ng-model="Usuario.mensaje"> <button class="button button-full button-light  icon-left ion-email" ng-click="enviarMensaje(Usuario)">Enviar</button> ',
    title: 'Enviar Mensaje',
    scope: $scope,
    buttons: [
      { text: 'Cancelar' },
    ]
  });
  $scope.myPopupMensaje.then(function(res) {
    
  });
  };



})
.controller('PlaylistsCtrl', function($scope,$ionicPopup) {
  $scope.playlists = [
    { title: 'Mensaje Nuevo', id: 1 },
  ];


})

.controller('PlaylistCtrl', function($scope, $stateParams) {
});
