angular.module('starter.services', [])

.factory('Parqueadero',function($http,$rootScope) {
  var parqueadero = angular.fromJson(window.localStorage['parqueadero']);
  var thread = 0;
  if (!parqueadero) parqueadero = {};
  return {
    all: function($scope) {
      thread++;
      $http.get("http://107.21.229.139/ccomerciales/api/v1/parqueadero")
	    .success(function(data, status, headers, config) {
	        parqueadero = $scope.parqueadero = data;
	        window.localStorage['parqueadero'] = angular.toJson(data);


	    })
	      .error(function(data, status, headers, config) {
	       // $rootScope.alert('Error de servicios','Error llamando servicio');
	    })
	      .finally(function() {
	        
	    });
      return parqueadero;
    }
  }
})

.factory('Mensajes',function($http,$rootScope) {
  var mensajes = angular.fromJson(window.localStorage['mensajes']);
  var thread = 0;
  if (!mensajes) mensajes = {};
  return {
    all: function($scope,tipo) {
      thread++;
      $http.get("http://107.21.229.139/ccomerciales/api/v1/"+tipo+"/mensajes")
	    .success(function(data, status, headers, config) {
	        mensajes = $scope.mensajes = data;
	        window.localStorage['mensajes'] = angular.toJson(data);


	    })
	      .error(function(data, status, headers, config) {
	       // $rootScope.alert('Error de servicios','Error llamando servicio');
	    })
	      .finally(function() {
	        
	    });
      return mensajes;
    }
  }
})

.factory('LeerMensaje', function($http, $rootScope){
	return {
Leer:function(idmensaje) {
     
      data = 'idmensaje='+ idmensaje ;
  
      $http({
  			url:"http://107.21.229.139/ccomerciales/api/v1/leer",
  			data : data,
  			method : 'POST',
  			headers : {'Content-Type':'application/x-www-form-urlencoded; charset=UTF-8'}
  		}).success(function(data, status, headers, config){
  	  	
          
        });
    }
 }
})


.factory('Registrar', function($http, $rootScope){
  return {
Enviar:function(cedula,mensaje,tipo) {
     
      data = 'cedula='+ cedula  + '&mensaje=' + mensaje + '&tipo=' + tipo;
  
      $http({
        url:"http://107.21.229.139/ccomerciales/api/v1/registrar",
        data : data,
        method : 'POST',
        headers : {'Content-Type':'application/x-www-form-urlencoded; charset=UTF-8'}
      }).success(function(data, status, headers, config){
        

        });
    }
 }
})

.factory('RegistrarCliente', function($http, $rootScope){
  return {
Enviar:function(cedula,imei) {
     
      data = 'cedula='+ cedula  + '&imei=' + imei ;
  
      $http({
        url:"http://107.21.229.139/ccomerciales/api/v1/registrarcliente",
        data : data,
        method : 'POST',
        headers : {'Content-Type':'application/x-www-form-urlencoded; charset=UTF-8'}
      }).success(function(data, status, headers, config){
        

        });
    }
 }
})


